Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class Struct

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidget
          org.apache.cocoon.forms.formmodel.AbstractContainerWidget
              org.apache.cocoon.forms.formmodel.Group
                  org.apache.cocoon.forms.formmodel.Struct

All Implemented Interfaces:
  ContainerWidget, org.apache.cocoon.util.location.Locatable, Widget

Deprecated. replaced by `Group`

public class Struct
extends Group

A container `Widget` which can hold zero or more child widgets.

Version:
  $Id: Struct.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractContainerWidget
`validationError, widgets`

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractWidget
`wasValid`

Fields inherited from interface org.apache.cocoon.forms.formmodel.Widget
`PATH_SEPARATOR`

Constructor Summary
`Struct(GroupDefinition definition)` Deprecated.

Method Summary
`String` | `getXMLElementName()` Deprecated. The XML element name used in `AbstractWidget.generateSaxFragment(ContentHandler, Locale)` to produce the wrapping element for all the XML-instance-content of this Widget.

Methods inherited from class org.apache.cocoon.forms.formmodel.Group
`getDefinition`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractContainerWidget
`addChild, generateItemSaxFragment, getChild, getChildren, getSize, hasChild, initialize, readFromRequest, validate`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractWidget
`addValidator, broadcastEvent, generateDisplayData, generateLabel, generateSaxFragment, getAttribute, getCombinedState, getForm, getFullName, getId, getLocation, getName, getParent, getRequestParameterName, getState, getValue, getWidget, getXMLElementAttributes, isRequired, isValid, lookupWidget, removeAttribute, removeValidator, setAttribute, setParent, setState, setValue, toString, widgetNameChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.forms.formmodel.Widget
`addValidator, broadcastEvent, generateLabel, generateSaxFragment, getAttribute, getCombinedState, getForm, getFullName, getId, getLocation, getName, getParent, getRequestParameterName, getState, getValue, getWidget, isRequired, isValid, lookupWidget, removeAttribute, removeValidator, setAttribute, setParent, setState, setValue`

Constructor Detail

### Struct

    public Struct(GroupDefinition definition)

  Deprecated.

Method Detail

### getXMLElementName

    public String getXMLElementName()

  Deprecated.
  Description copied from class: `AbstractWidget`
  The XML element name used in `AbstractWidget.generateSaxFragment(ContentHandler, Locale)` to produce the wrapping element for all the XML-instance-content of this Widget.

  Overrides:
    `getXMLElementName` in class `Group`
  Returns:
    "struct"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.